export declare class JSONAPIError extends Error {
    statusCode: number;
}
export declare class InvalidDataFormat extends JSONAPIError {
    statusCode: number;
}
export declare class ResourceTypeMismatch extends JSONAPIError {
    statusCode: number;
    constructor(providedType: string, expectedType: string);
}
export declare class AttributeNotUpdatableError extends JSONAPIError {
    statusCode: number;
    constructor(type: string, attribute: string);
}
