import Resource from "./resource";
export declare class Result {
    statusCode: number;
    constructor(statusCode?: number);
}
export declare class ResourceResult extends Result {
    resource: Resource<any>;
    constructor(resource: Resource<any>, statusCode?: number);
}
export declare class ResourcesResult extends Result {
    resources: Resource<any>[];
    constructor(resources: Resource<any>[], statusCode?: number);
}
